# $Revision: 1.24 $, $Date: 2011/03/01 06:28:33 $
%include	/usr/lib/rpm/macros.php
%define		_class		Net
%define		_subclass	Cyrus
%define		_status		beta
%define		_pearname	%{_class}_%{_subclass}

Summary:	%{_pearname} - an API for the administration of Cyrus IMAP servers
Summary(pl.UTF-8):	%{_pearname} - API do administrowania serwerami Cyrus IMAP
Name:		php-pear-%{_pearname}
Version:	0.3.2
Release:	2
Epoch:		0
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	1fe34ead63b373ce3a073b629d324c57
URL:		http://pear.php.net/package/Net_Cyrus/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-pear
Requires:	php-pear-Net_IMAP >= 1.0
Requires:	php-pear-Net_Socket >= 1.0
Obsoletes:	php-pear-Net_Cyrus-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
API for the administration of Cyrus IMAP servers. It can be used to
create,delete and modify users and it's properties (Quota and ACL)

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Ta klasa dostarcza API do administrowania serwerami Cyrus IMAP. Może
być użyte do tworzenia, usuwania oraz modyfikowania użytkowników oraz
ich właściwości (Quota oraz ACL).

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}/*.php

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Net_Cyrus.spec,v $
Revision 1.24  2011/03/01 06:28:33  glen
- release 2

Revision 1.23  2011/01/23 01:03:18  sparky
- dropped -tests subpackage

Revision 1.22  2010/10/09 16:49:19  glen
- updated to: 0.3.2

Revision 1.21  2008/01/31 12:17:19  glen
- rel 5

Revision 1.20  2007-02-13 08:06:40  glen
- tabs in preamble

Revision 1.19  2007/02/12 01:06:24  baggins
- converted to UTF-8

Revision 1.18  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.17  2006/04/02 13:48:06  glen
- AutoProv: no for -tests

Revision 1.16  2006/03/29 22:29:28  glen
- rel 4 (rebuild with less deps)

Revision 1.15  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.14  2006/02/20 21:48:14  glen
- group Development/Languages/PHP for -tests

Revision 1.13  2005/10/27 19:07:14  qboosh
- define Epoch to 0 explicitly when using it

Revision 1.12  2005/10/05 20:59:32  glen
- rel 3

Revision 1.11  2005/10/03 22:59:16  glen
- semi automatically added deps from pear

Revision 1.10  2005/09/28 21:33:15  glen
- new pear packaging

Revision 1.9  2004/12/04 13:21:58  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.8  2004/08/25 19:46:33  adamg
- updated to 0.3.1

Revision 1.7  2004/07/08 19:22:46  adamg
- updated to 0.3.0

Revision 1.6  2004/05/30 13:13:51  adamg
- fixed english information about status of the package

Revision 1.5  2004/05/24 07:16:58  adamg
- updated to 0.2.0

Revision 1.4  2004/03/15 17:44:30  ankry
- massive cosmetics

Revision 1.3  2004/03/03 20:45:44  qboosh
- cosmetics

Revision 1.2  2004/03/02 21:25:41  adamg
- forgotten pl summary/description
- proper URL

Revision 1.1  2004/03/02 21:21:01  adamg
- initial import
